Skip to content

API reference / Direct debit

GET /v1/mandate_debits/status Bearer

Check recurring charge status

Optional follow-up after step 3. Poll a debit by mandate_id (MD_) and the debit merchant_reference until succeeded or failed. You can also wait for mandate_debit.succeeded / mandate_debit.failed webhooks.

Query parameters

mandate_id required string
merchant_reference required string
GET https://omni.mojo-pay.com/v1/mandate_debits/status
curl -X GET "https://omni.mojo-pay.com/v1/mandate_debits/status?mandate_id={mandate_id}&merchant_reference={merchant_reference}" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Accept: application/json"
Response
{
    "status": "succeeded",
    "mandate_id": "20189719",
    "merchant_reference": "43654565xxx01001",
    "currency": "GHS",
    "amount": "1.00",
    "fee_amount": "0.02",
    "fee_mode": "on_top",
    "amount_payable": "1.02",
    "merchant_settlement_amount": "1.00"
}